Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Kernel update -> virtualbox kapot  (gelezen 1960 keer)

pjvolders

  • Gast
Kernel update -> virtualbox kapot
« Gepost op: 2008/06/04, 17:42:37 »
Hoi

zoals jullie gemerkt hebben was er vannacht een nieuwe kernel update (2.6.24-18) uitgebracht, maar na installatie van deze werkt mijn virtualbox niet meer..
VirtualBox kernel driver not installed. The vboxdrv kernel module was either not loaded or /dev/vboxdrv was not created for some reason. Please install the virtualbox-ose-modules package for your kernel, e.g. virtualbox-ose-modules-generic..
VBox status code: -1908 (VERR_VM_DRIVER_NOT_INSTALLED).
Het laatste module package is "linux-image-2.6.24-17-generic" en dat is dus van de vorige kernel. Er is ook nog het package "virtualbox-ose-modules-generic" maar dat hangt gewoon af van het vorige...

Wat moet ik doen?

groetjes
PJ

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Kernel update -> virtualbox kapot
« Reactie #1 Gepost op: 2008/06/04, 17:49:59 »
Misschien vindj e hier wat  nuttige info: meerdere mensen hadden dezelfde problemen al bij de vorige kernel-wissel...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

pjvolders

  • Gast
Kernel update -> virtualbox kapot
« Reactie #2 Gepost op: 2008/06/04, 18:01:29 »
peejay@peejay-laptop:~$ sudo /etc/init.d/vboxdrv setup
 * Usage: /etc/init.d/vboxdrv {start|stop|restart|status}
peejay@peejay-laptop:~$ sudo /etc/init.d/vboxdrv restart
 * Stopping VirtualBox kernel module vboxdrv                             [ OK ]
 * Starting VirtualBox kernel module vboxdrv                                    
 * No suitable module for running kernel found.

Blijkbaar niet...
Ik had eerst de closed source versie, maar die werkte niet meer bij upgrade gutsy > hardy. Ik ga nu de nieuwste versie nog eens afhalen en zien of het dan werkt.
Ik laat t horen

groetjes
PJ

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Kernel update -> virtualbox kapot
« Reactie #3 Gepost op: 2008/06/04, 19:25:51 »
Ik heb uiteindelijk ook even de "Hardy-proposed" aangevinkt, dan kernel headers 2.6.24-18-386 geïnstalleerd, Omdat ik eerst niet goed wist welke kernel-source ik nu moest hebben, heb ik even gekeken in   /var/log/vbox-install.log met het commando
 cat /var/log/vbox-install.log

Dan die hardy-proposed weer uitgevinkt (kreeg 175 --oneerbare ??-- voorstellen, heb die maar niet aangenomen, kan wel wachten ... :)  )

Ik moet wel zeggen dat ik de niet-vrije versie van Virtualbox heb, die van Innotek dus.  En dat wil ook zeggen dat ik tenslotte gemerkt heb dat dit nog een gutsy-versie is.
Bij Virtualbox gaan zien op de website, nieuwste versie (van een maand oud) in een .deb bestandje gedownload (wel gekozen om rechtreeks te downloaden, niet via hun "manager"), wordt dan rechtstreeks geïnstalleerd met gDebi.  Vraagt zelf om vboxdrv te compileren.  OK gezegd en alles is in orde.
Tussen de bedrijven door heb ik dan ook nog gemerkt dat VB niet meer van Innotek is, maar van Sun.  In het menuutje Systeemgereedschappen moet ik nu altijd scrollen naar SUN VB ipv het bovenaan te vinden onder INNOTEK VB  :(  :P
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

pjvolders

  • Gast
Kernel update -> virtualbox kapot
« Reactie #4 Gepost op: 2008/06/04, 19:45:01 »
Ik heb de niet vrije gedownload van hun site en alles werkt perfect.
Indd tis precies niet meer van innotek :-)

groetjes
PJ

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Kernel update -> virtualbox kapot
« Reactie #5 Gepost op: 2008/06/05, 01:11:20 »
Prosper, waarom maak je gebruik van de -386 kernel? De -generic kernel is veel beter wat ondersteuning van hardware betreft. Hij zal ook wel iets sneller zijn denk ik.
Je zou eigenlijk altijd de generic kernel moeten gebruiken, tenzij je speciale hardware hebt.

Offline Idzme

  • Lid
    • http://idzme.wordpress.com/
  • Steunpunt: Nee
Kernel update -> virtualbox kapot
« Reactie #6 Gepost op: 2008/06/05, 07:35:12 »
Ik heb ook virtualbox gedownload van de sun-site, geinstalleerd en alle swerkt weer perfect. Wel ff zoeken want het icoontje is anders geworden :)
Intel Pentium 4 630, 3000 MHz (15 x 200), 1024 MB (SDRAM), 2x ST3160021A (160 GB, 7200 RPM, Ultra-ATA/100)
Ubuntu 8.10-Xubuntu 8.10
Linux user #464441 / Ubuntu user # 23391
Mini-distro's en het laatste Linux nieuws: http://idzme.wordpress.com
www.twitter.com/basidz

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Kernel update -> virtualbox kapot
« Reactie #7 Gepost op: 2008/06/05, 07:37:38 »
Citaat van: Johanvd
Prosper, waarom maak je gebruik van de -386 kernel? De -generic kernel is veel beter wat ondersteuning van hardware betreft. Hij zal ook wel iets sneller zijn denk ik.
Je zou eigenlijk altijd de generic kernel moeten gebruiken, tenzij je speciale hardware hebt.
Zoals ik in mijn bijdrage zette, was dat de naam van de kernel die hij vroeg.  Weet ik veel wat het verschil is... of hoe het zou komen dat hij nou net die vraagt ...
Kan ik daar iets aan veranderen ?

Edit:

Heb een beetje met kernels aan het goochelen geweest: alle -386 verwijderd en ook in één moeite door de -17 en de -16
Dan VB terug geïnstalleerd vanaf de Sun-site met gDebi, linux headaers 18 -server moeten extra bijhalen (draai hier nu -18 generic en -18 server, die hercomplieert zelf vboxdrv, en het was allemaal terug OK
Geen voer voor beginners, or the faint of heart, want als je de waarschuwingen leest, dan lijkt het alsof je hele systeem de mist ingaat, terwijl het toch allemaal voldoende solide is...

In het begin van m'n post was ik  nog niet goed wakker: natuurlijk ken ik het verschil tussen 386 en de rest, alleen weet ik niet hoe het komt dat die daar stond....
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline woteb

  • Lid
  • Steunpunt: Nee
Kernel update -> virtualbox kapot
« Reactie #8 Gepost op: 2008/06/05, 11:20:17 »
Die -386 kernel heb je nodig om VB (de OSE en de niet-OSE) te installeren. Naderhand kun je die kernel weer verwijderen. Die patches voor de generic Virtualbox zaken komen wat later. Zelf doe ik altijd apt-get update && apt-get upgrade. Dan zie je nu dat de aanwezige nieuwe kernel wordt achtergehouden. Pas wanneer die VB kernel zaken erbij zitten wordt alles geïnstalleerd.

Even een stukje terminaldump ter illustratie:
Citaat
apt-get update && apt-get upgrade && aptitude clean
(....)
Uitgebreide statusinformatie aan het lezen
Initialiseren van pakketstatussen... Klaar
Opbouwen van tagdatabase... Klaar
De volgende pakketten zijn achtergehouden:
  linux-generic linux-image-generic
  linux-restricted-modules-generic
0 pakketten opgewaardeerd, 0 nieuwe geïnstalleerd, 0 te verwijderen en 3 niet opwaarderen.
(...)
Die 2.6.24-18-generic is dus aanwezig, maar wordt  niet geïnstalleerd omdat de VB zaken er niet bij zitten. Hoogstwaarschijnlijk gaat het dan om virtualbox-ose-modules-2.6.24-18-386

Wanneer je met Synaptic aan de gang gaat, dan kun je die kernel upgrades forceren (commandline trouwens ook, maar moet je echt weten hoe het moet), en dat gaat dan fout, omdat eigenlijk niet alles aanwezig is, en je een gebroken upgrade krijgt.

Mijn advies luidt dan ook, om niet Synaptic, maar met apt-get te gaan werken.

Om even op die -386 kernel terug te komen. VB heeft bij het installeren wat kernel zaken nodig die wél in de -386 kernel zit, en niet in de -generic kernel. Wanneer je VB (OSE) installeert via de terminal, dan gebruik ik de volgende commando's:
apt-get install virtualbox-ose virtualbox-ose-modules-generic linux-image-2.6.24-17-386 virtualbox-ose-modules-2.6.24-17-386 -y
/etc/init.d/vboxdrv start
apt-get remove linux-image-2.6.24-17-386 --purge -y
En voor 17 kun je natuurlijk ook 16 of 18 (of nog nieuwer indien aanwezig) lezen.
Laptop, HP 550, Dual Core 1 GB RAM/2 Ghz:: Debian 5.0 Testing (Squeeze)  (lite-blokkendoos editie) Fluxbox / IceWM / XFCE4 / Openbox / LXDE.
3 Werkstations + 1 laptop: Debian 5.0 Testing (Squeeze)  (lite-blokkendoos editie Gnome/XFCE/IceWM)
Server: Debian 5.0 Stable (Lenny)

Offline Johan van Dijk

  • Administrator
    • johanvandijk
  • Steunpunt: Nee
Kernel update -> virtualbox kapot
« Reactie #9 Gepost op: 2008/06/05, 15:29:01 »
Die achtergehouden pakketten zijn logisch, omdat je apt-get upgrade gebruikt en niet apt-get dist-upgrade.
Bij een gewone upgrade worden er geen extra pakketten geïnstalleerd of verwijderd, bij een dist-upgrade gebeurt dat wel.

Het probleem met de recente kernel update is dat de restricted modules en nog wat van die packages niet gelijktijdig beschikbaar waren. Zodra je die geïnstalleerd hebt werkt het allemaal prima.
De 386 kernel heb je dus nergens voor nodig.